Documentation Index
Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
이 가이드는 X API를 사용해 뮤트한 사용자 목록을 조회하는 방법을 설명합니다.
사전 준비 사항시작하기 전에 다음이 필요합니다:
- 승인된 App이 있는 개발자 계정
- User Access Token (OAuth 1.0a 또는 OAuth 2.0 PKCE)
내가 뮤트한 사용자 조회하기
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=created_at,username,verified&\
max_results=100" \
-H "Authorization: Bearer $USER_ACCESS_TOKEN"
응답 검토하기
{
"data": [
{
"id": "2244994945",
"name": "X Developers",
"username": "XDevelopers",
"created_at": "2013-12-14T04:35:55.000Z",
"verified": true
}
],
"meta": {
"result_count": 1,
"next_token": "1710819323648428707"
}
}
expansions를 사용하면 고정된 포스트와 같은 관련 데이터를 함께 가져올 수 있습니다:
curl "https://api.x.com/2/users/123456789/muting?\
user.fields=created_at&\
expansions=pinned_tweet_id&\
tweet.fields=created_at" \
-H "Authorization: Bearer $USER_ACCESS_TOKEN"
{
"data": [
{
"username": "XDevelopers",
"created_at": "2013-12-14T04:35:55.000Z",
"id": "2244994945",
"name": "X Developers",
"pinned_tweet_id": "1430984356139470849"
}
],
"includes": {
"tweets": [
{
"created_at": "2021-08-26T20:03:51.000Z",
"id": "1430984356139470849",
"text": "Help us build a better X Developer Platform!..."
}
]
},
"meta": {
"result_count": 1
}
}
SDK에서는 페이지네이션을 자동으로 처리합니다. cURL을 사용할 때는 응답에 포함된 next_token 값을 사용하세요:
curl "https://api.x.com/2/users/123456789/muting?\
max_results=100&\
pagination_token=1710819323648428707" \
-H "Authorization: Bearer $USER_ACCESS_TOKEN"